# $Revision: 1.26 $, $Date: 2008/09/14 11:21:11 $
#
# Conditional build:
%bcond_with	uClibc	# don't build few utilities
%bcond_without	selinux # build without SELinux support
#
Summary:	Collection of basic system utilities for Linux
Summary(de.UTF-8):	Sammlung von grundlegenden Systemdienstprogrammen für Linux
Summary(es.UTF-8):	Colectánea de utilitarios básicos de sistema para Linux
Summary(fr.UTF-8):	Ensemble d'utilitaires système de base pour Linux
Summary(pl.UTF-8):	Zbiór podstawowych narzędzi systemowych dla Linuksa
Summary(pt_BR.UTF-8):	Coletânea de utilitários básicos de sistema para Linux
Summary(ru.UTF-8):	Набор базовых системных утилит для Linux
Summary(tr.UTF-8):	Temel sistem araçları
Summary(uk.UTF-8):	Набір базових системних утиліт для Linux
Name:		util-linux-ng
Version:	2.14.1
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/v2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	9aab772ee9b1f4e67dff98169f3cb380
# Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source1:	util-linux-non-english-man-pages.tar.bz2
# Source1-md5:	81bbcc9a820512ecde87a8f31de0b745
Source2:	login.pamd
Source3:	util-linux-blockdev.init
Source4:	util-linux-blockdev.sysconfig
Patch0:		%{name}-ppc.patch
URL:		http://userweb.kernel.org/~kzak/util-linux-ng/
BuildRequires:	audit-libs-devel >= 1.0.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel >= 1.36
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
%{?with_selinux:BuildRequires:	libselinux-devel}
%{?with_selinux:BuildRequires:	libsepol-devel}
%{!?with_uClibc:BuildRequires:	ncurses-devel >= 5.0}
%{!?with_uClibc:BuildRequires:	pam-devel >= 0.99.7.1}
BuildRequires:	rpmbuild(macros) >= 1.470
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
%{!?with_uClibc:BuildRequires:	zlib-devel}
%{!?with_uClibc:Requires:	pam >= 0.99.7.1}
Provides:	fdisk
Provides:	linux32
Provides:	sparc32
Provides:	util-linux = %{version}-%{release}
Obsoletes:	cramfs
Obsoletes:	ionice
Obsoletes:	rawdevices
Obsoletes:	schedutils
Obsoletes:	setarch
Obsoletes:	linux32
Obsoletes:	sparc32
Obsoletes:	util-linux
Obsoletes:	util-linux-suids
Conflicts:	shadow-extras < 1:4.0.3-6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debugcflags	-O1 -g

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system. This includes, among other
things, configuration tools such as fdisk and system programs such as
logger.

%description -l de.UTF-8
util-linux enthält eine große Anzahl an
low-level-Systemdienstprogrammen, die für ein funktionierendes
Linux-System erforderlich sind. Dazu gehören Konfigurationstools wie
'fdisk' und Systemprogramme wie 'logger'.

%description -l es.UTF-8
util-linux contiene una gran variedad de utilitarios de sistema de
bajo nivel necesarios a un sistema Linux funcional. Esto incluye,
entre otras cosas, herramientas de configuración como fdisk y
programas de sistema como login.

%description -l fr.UTF-8
util-linux contient une grande variété d'utilitaire système bas niveau
nécessaires au fonctionnement d'un système Linux. Cela comprend, entre
autres, les outils de configuration comme fdisk et des programmes
systèmes comme logger.

%description -l pl.UTF-8
util-linux zawiera wiele różnych, niskopoziomowych narzędzi
systemowych niezbędnych do prawidłowego działania Linuksa. W pakiecie
znajdują się między innymi narzędzia konfiguracyjne, takie jak fdisk i
programy systemowe, takie jak logger.

%description -l pt_BR.UTF-8
util-linux contém uma grande variedade de utilitários de sistema de
baixo-nível necessários para um sistema Linux funcional. Isso inclui,
entre outras coisas, ferramentas de configuração como fdisk e
programas de sistema como login.

%description -l ru.UTF-8
Этот пакет содержит большой набор системных утилит низкого уровня,
которые необходимы для функционирования системы Linux. Он включает, в
числе прочих, инструменты конфигурации, такие как fdisk, и системные
программы, такие как login.

%description -l tr.UTF-8
şlevsel durumdaki bir Linux sistemi için gerekli birçok alt düzey
sistem araçlarını içerir. Bunlar arasında fdisk gibi yapılandırma
uygulamaları ve logger gibi sistem programları sayılabilir.

%description -l uk.UTF-8
Цей пакет містить великий набір системних утиліт низького рівня, які
необхідні для функціонування системи Linux. Він містить, окрім інших,
конфігураційні інструменти (такі як fdisk) та системні програми (такі
як login).

%package -n blockdev
Summary:	Support for blockdev
Summary(pl.UTF-8):	Obsługa blockdev
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	coreutils
Requires:	rc-scripts

%description -n blockdev
The utility blockdev allows one to call block device ioctls from the
command line. This package also includes initscript to set blockdev
parameters at system startup.

%description -n blockdev -l pl.UTF-8
Narzędzie blockdev pozwala na wywołania ioctl dla urządzeń blokowych z
linii poleceń. Ten pakiet zawiera także skrypt inicjalizacyjny do
ustawiania parametrów blockdev przy starcie systemu.

%package -n losetup
Summary:	Programs for setting up and configuring loopback devices
Summary(de.UTF-8):	Programme zum Einrichten und Konfigurieren von Loopback-Geräten
Summary(fr.UTF-8):	Programmes pour mettre en place et configurer les loopback
Summary(pl.UTF-8):	Program do konfiguracji urządzenia blokowego loopback
Summary(ru.UTF-8):	Программы для настройки loopback-устройств
Summary(tr.UTF-8):	Yerel-çevrim aygıtlarının kurulması ve ayarlanması için programlar
Summary(uk.UTF-8):	Програми для конфігурації loopback-пристроїв
Group:		Applications/System

%description -n losetup
Linux supports a special block device called the loopback device,
which maps a normal file onto a virtual block device. This package
contains programs for setting up and removing the mapping between
files and loopback devices.

Block loopback devices should not be confused with the networking
loopback device, which is configured with the normal ifconfig command.

%description -n losetup -l de.UTF-8
Linux unterstützt ein spezielles Blockgerät, das sogenannte Loopback,
das eine normale Datei auf ein virtuelles Blockgerät abbildet. Das
Paket enthält Programme zum Einrichten und Entfernen der Zuordnung
zwischen Dateien und Loopback-Geräten.

%description -n losetup -l fr.UTF-8
Linux gère un périphérique bloc spécial appelé « loopback », qui
correspond à un fichier normal sur un périphérique bloc virtuel. Ce
paquetage contient les programmes pour configurer et supprimer la
correspondance entre les fichiers et les périphériques loopback.

Les périphériques bloc loopback ne doivent pas être confondus avec le
périphérique loopback du réseau, configuré avec la commande ifconfig
normale.

%description -n losetup -l pl.UTF-8
Linux wspiera specjalne urządzenie blokowe loopback, które mapuje
normalny plik w wirtualne urządzenie blokowe. Pakiet ten zawiera
program, przy pomocy którego będziesz mógł je skonfigurować.

Urządzenie blokowe loopback nie powinno być mylone z sieciowym
interfejsem loopback, który jest konfigurowany przy pomocy polecenia
ifconfig.

%description -n losetup -l ru.UTF-8
Linux поддерживает специальное блочное устройство, называемое
loopback, которое отображает обычный файл в виртуальное блочное
устройство. Это позволяет использовать файл как виртуальную файловую
систему. Losetup используется для связи loopback-устройств с обычными
файлами или блочными устройствами, для отсоединения loopback-устройств
и запросов их статуса.

%description -n losetup -l tr.UTF-8
Linux özel bir blok aygıt olan yerel-çevrim aygıtını (loopback device)
destekler. Bu aygıt normal bir dosyanın sanal bir blok aygıtı üzerine
haritasını çıkarır. Bu paket, dosyalar ve yerel-çevrim aygıtları
arasındaki haritalama işleminin kurulması ve kaldırılması için
programlar içerir. Blok yerel-çevrim aygıtı ifconfig komutu ile
yapılandırılan ağ yerel-çevrim aygıtı ile karıştırılmamalıdır.

%description -n losetup -l uk.UTF-8
Linux підтримує спеціальний блочний пристрій, loopback, який
відображує звичайний файл у віртуальний блочний пристрій. Це дозволяє
використовувати файл як віртуальну файлову систему. Losetup
використовують для зв'язку loopback-пристроїв зі звичайними файлами
або блочними пристроями, для від'єднання loopback-пристроїв та
запросів їх стану.

%package -n mount
Summary:	Programs for mounting and unmounting filesystems
Summary(de.UTF-8):	Programme zum montieren und abmontieren von Dateisystemen
Summary(fr.UTF-8):	Programme pour monter et démonter des systèmes de fichiers
Summary(pl.UTF-8):	Programy do montowania i odmontowywania systemów plików
Summary(ru.UTF-8):	Программы для монтирования и размонтирования файловых систем
Summary(tr.UTF-8):	Dosya sistemlerini bağlamak ve çözmek için programlar
Summary(uk.UTF-8):	Програми для монтування та розмонтування файлових систем
Group:		Applications/System
Requires:	libgcrypt >= 1.2.0-6
Requires:	libgpg-error >= 1.0-4

%description -n mount
mount is used for adding new filesystems, both local and networked, to
your current directory structure. The filesystems must already exist
for this to work. It can also be used to change the access types the
kernel uses for already-mounted filesystems.

This package is critical for the functionality of your system.

%description -n mount -l de.UTF-8
mount wird zum Hinzufügen neuer Dateisysteme (lokal und im Netzwerk)
zu Ihrer aktuellen Verzeichnisstruktur verwendet. Die Dateisysteme
müssen bereits existieren. Außerdem können die Zugriffstypen geändert
werden, die der Kernel für bereits montierte Dateisysteme verwendet.

Dieses Paket ist für Ihr System unbedingt erforderlich.

%description -n mount -l fr.UTF-8
mount sert à ajouter de nouveaux systèmes de fichiers, locaux ou
réseaux, à votre structure de répertoire. Les systèmes de fichiers
doivent déjà exister pour que cela fonctionne. Il peut aussi servir à
changer les types d'accès pour les systèmes de fichiers déjà montés.

Ce paquetage est critique pour le fonctionnement de votre système.

%description -n mount -l pl.UTF-8
Program mount jest używany przez system do montowania systemów plików,
zarówno lokalnych jak i sieciowych (np. NFS).

Pakiet ten jest niezbędny do prawidłowej pracy twojego Linuksa.

%description -n mount -l ru.UTF-8
Пакет mount содержит программы mount, umount, swapon и swapoff. Файлы
в вашей системе организованы в виде одного большого дерева или
иерархии. Эти файлы могут быть размещены на разных устройствах.
Команда mount присоединяет файловую систему на некотором устройстве к
дереву файлов вашей системы. Команда umount отсоединяет файловую
систему от дерева. Swapon и swapoff, соответственно, разрешает и
запрещает своппинг в определенные файлы и устройства.

%description -n mount -l tr.UTF-8
mount, hem yerel hem de ağ dosya sistemlerinin dizin yapısına
eklenmesi için kullanılır. Bunun için bağlanacak dosya sisteminin
önceden hazırlanmış olması gerekir. Aynı zamanda çekirdeğin bağlanmış
dosya sistemlerine erişimini değiştirmek için de kullanılır. Bu paket
sisteminizin işlevselliği açısından kritiktir.

%description -n mount -l uk.UTF-8
Пакет mount містить програми mount, umount, swapon та swapoff. Файли у
вашій системі організовані у вигляді одного великого дерева або
ієрархії. Ці файли можуть бути розташовані на різних пристроях.
Команда mount під'єднує файлову систему на деякому пристрої до дерева
файлів вашої системи. Команда umount від'єднує файлову систему від
дерева. Swapon та swapoff, відповідно, дозволяє та заборонює свопінг у
визначені файли або пристрої.

%package chkdupexe
Summary:	chkdupexe - find duplicate executables
Summary(pl.UTF-8):	chkdupexe odszukuje powtarzające się pliki uruchamialne
Group:		Applications/System
Provides:	util-linux-chkdupexe = %{version}-%{release}
Obsoletes:	util-linux-chkdupexe

%description chkdupexe
chkdupexe will scan the union of $PATH and a hardcoded list of common
locations for binaries. It will report dangling symlinks and
duplicately-named binaries.

%description chkdupexe -l pl.UTF-8
chkdupexe przeszukuje katalogi z $PATH oraz inne powszechnie znane
katalogi z plikami uruchamialnymi i informuje o powtarzających się
plikach w różnych katalogach.

%package -n tunelp
Summary:	Configures kernel parallel port driver
Summary(de.UTF-8):	Konfiguriert den Kerneltreiber für den parallelen Port
Summary(fr.UTF-8):	Configure le pilote du port parallèle dans le noyau
Summary(pl.UTF-8):	Program do konfigurowania sterownika portu równoległego
Summary(tr.UTF-8):	Çekirdeğin paralel bağlantı noktası sürücüsünü ayarlar
Group:		Applications/System

%description -n tunelp
tunelp aids in configuring the kernel parallel port driver.

%description -n tunelp -l de.UTF-8
tunelp hilft bei der Konfiguration des Kernel-Parallelport-Treibers.

%description -n tunelp -l fr.UTF-8
« tunelp » aide à configurer le pilote du noyau pour le port
parallèle.

%description -n tunelp -l pl.UTF-8
Program do konfigurowania sterownika portu równoległego.

%description -n tunelp -l tr.UTF-8
Paralel bağlantı noktası sürücüsünü ayarlar.

%package -n login
Summary:	login is used when signing onto a system
Summary(pl.UTF-8):	login jest używany do rozpoczęcia pracy w systemie
Group:		Applications/System
Requires:	pam >= 0.99.7.1
Obsoletes:	heimdal-login

%description -n login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however).

%description -n login -l pl.UTF-8
login jest używany do rozpoczęcia pracy w systemie. Może być używany
do przełączania z jednego użytkownika na innego w każdym momencie
(jednak większość nowoczesnych powłok ma takie funkcje wbudowane).

%package -n agetty
Summary:	Alternative Linux getty
Summary(pl.UTF-8):	Alternatywny getty
Group:		Applications/System
Requires:	login

%description -n agetty
agetty is simple Linux getty with serial support.

%description -n agetty -l pl.UTF-8
agetty jest prostym linuksowym getty z obsługą portu szeregowego.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"; export CPPFLAGS
%configure \
	--bindir=/bin \
	--sbindir=/sbin \
	--with%{?with_uClibc:out}-pam \
	--with%{!?with_selinux:out}-selinux \
	--disable-use-tty-group \
	--disable-wall \
	--enable-kill \
	--enable-login-chown-vcs \
	--enable-login-utils \
	--enable-partx \
	--enable-rdev \
	--enable-write \
	--with-audit \
	--with-fsprobe=blkid

%{__make}

%ifarch ppc
%{__cc} %{rpmcflags} %{rpmldflags} hwclock/clock-ppc.c -o hwclock/clock-ppc
%endif

cd sys-utils
makeinfo ipc.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,sysconfig,security} \
	$RPM_BUILD_ROOT/var/lock

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's,/usr/spool/mail,/var/mail,g' $RPM_BUILD_ROOT%{_mandir}/man1/login.1

mv $RPM_BUILD_ROOT%{_sbindir}/{addpart,delpart,partx} $RPM_BUILD_ROOT/sbin

install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/login
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/blockdev
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/blockdev

:> $RPM_BUILD_ROOT/etc/security/blacklist.login
:> $RPM_BUILD_ROOT/var/lock/wtmpxlock

%ifarch ppc
mv -f $RPM_BUILD_ROOT/sbin/hwclock $RPM_BUILD_ROOT/sbin/hwclock.rtc
install hwclock/clock-ppc $RPM_BUILD_ROOT/sbin/hwclock.adb
#yneed fix:
# hwclock.adb is for PowerMac (default)
# hwclock.rtc is for RS/6000 (PreP,CHRP)
ln -sf hwclock.adb $RPM_BUILD_ROOT/sbin/hwclock
%endif

ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
echo '.so hwclock.8' > $RPM_BUILD_ROOT%{_mandir}/man8/clock.8

for d in cs de es fi fr hu id it ja ko nl pl ; do
	for m in man1 man5 man8 ; do
		if [ -d man/$d/$m ]; then
			install -d $RPM_BUILD_ROOT%{_mandir}/$d/$m
			install man/$d/$m/* $RPM_BUILD_ROOT%{_mandir}/$d/$m
		fi
	done
done

# cleanup, remove files not included in package
rm $RPM_BUILD_ROOT%{_bindir}/{chfn,chsh,newgrp} \
	$RPM_BUILD_ROOT%{_sbindir}/{vigr,vipw} \
	$RPM_BUILD_ROOT%{_mandir}/man1/{chfn,chsh,newgrp}.1 \
	$RPM_BUILD_ROOT%{_mandir}/man8/{vigr,vipw}.8 \
	$RPM_BUILD_ROOT%{_mandir}/*/man1/{arch,chfn,chsh,clear,last,mesg,newgrp,od,passwd,reset,sg,wall}.1 \
	$RPM_BUILD_ROOT%{_mandir}/*/man5/nfs.5 \
	$RPM_BUILD_ROOT%{_mandir}/*/man8/{display-services,elvtune,fast*,halt,initctl,need,provide,reboot,setfdprm,shutdown,simpleinit,sln,vigr,vipw}.8

%ifnarch %{ix86} %{x8664}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/{ramsize,rdev,rootflags,vidmode}.8
%endif
%ifarch sparc sparc64
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/{cfdisk,sfdisk}.8
%endif

%{!?with_uClibc:%find_lang %{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post -n blockdev
/sbin/chkconfig --add blockdev
%service blockdev restart

%preun -n blockdev
if [ "$1" = "0" ]; then
	%service blockdev stop
	/sbin/chkconfig --del blockdev
fi

%files %{!?with_uClibc:-f %{name}.lang}
%defattr(644,root,root,755)
%doc */README.* text-utils/LICENSE.pg NEWS

%attr(755,root,root) /sbin/clock
%ifarch ppc
%attr(755,root,root) %config(noreplace) %verify(not link) /sbin/hwclock
%attr(755,root,root) /sbin/hwclock.adb
%attr(755,root,root) /sbin/hwclock.rtc
%else
%attr(755,root,root) /sbin/hwclock*
%endif

%{_mandir}/man8/clock.8*
%{_mandir}/man8/hwclock.8*
%lang(es) %{_mandir}/es/man8/clock.8*
%lang(es) %{_mandir}/es/man8/hwclock.8*
%lang(ja) %{_mandir}/ja/man8/clock.8*
%lang(ja) %{_mandir}/ja/man8/hwclock.8*

%attr(755,root,root) /bin/dmesg
%attr(755,root,root) /bin/kill
%{!?with_uClibc:%attr(755,root,root) /bin/more}
%attr(755,root,root) /sbin/mkfs
%attr(755,root,root) /sbin/mkswap
%attr(755,root,root) /sbin/ctrlaltdel
%attr(755,root,root) /sbin/addpart
%attr(755,root,root) /sbin/delpart
%attr(755,root,root) /sbin/partx
%attr(755,root,root) %{_bindir}/cal
%attr(755,root,root) %{_bindir}/chrt
%attr(755,root,root) %{_bindir}/col
%attr(755,root,root) %{_bindir}/colcrt
%attr(755,root,root) %{_bindir}/colrm
%attr(755,root,root) %{_bindir}/column
%attr(755,root,root) %{_bindir}/ddate
%attr(755,root,root) %{_bindir}/flock
%attr(755,root,root) %{_bindir}/getopt
%attr(755,root,root) %{_bindir}/hexdump
%attr(755,root,root) %{_bindir}/ionice
%attr(755,root,root) %{_bindir}/ipcrm
%attr(755,root,root) %{_bindir}/ipcs
%attr(755,root,root) %{_bindir}/isosize
%attr(755,root,root) %{_bindir}/line
%attr(755,root,root) %{_bindir}/logger
%attr(755,root,root) %{_bindir}/look
%attr(755,root,root) %{_bindir}/mcookie
%attr(755,root,root) %{_bindir}/namei
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/pg}
%attr(755,root,root) %{_bindir}/rename
%attr(755,root,root) %{_bindir}/renice
%attr(755,root,root) %{_bindir}/rev
%attr(755,root,root) %{_bindir}/script
%attr(755,root,root) %{_bindir}/scriptreplay
%attr(755,root,root) %{_bindir}/setarch
%attr(755,root,root) %{_bindir}/linux*
%{_mandir}/man8/linux*
%ifarch s390 s390x
%attr(755,root,root) %{_bindir}/s390*
%{_mandir}/man8/s390*
%endif
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_bindir}/i386
%{_mandir}/man8/i386*
%ifarch %{x8664}
%attr(755,root,root) %{_bindir}/x86_64
%{_mandir}/man8/x86_64*
%endif
%{_mandir}/man8/i386*
%endif
%ifarch ppc ppc64
%attr(755,root,root) %{_bindir}/ppc*
%{_mandir}/man8/ppc*
%endif
%ifarch sparc sparc64
%attr(755,root,root) %{_bindir}/sparc*
%{_mandir}/man8/sparc*
%endif
%ifarch ia64
%attr(755,root,root) %{_bindir}/i386
%attr(755,root,root) %{_bindir}/ia64
%{_mandir}/man8/i386*
%{_mandir}/man8/ia64*
%endif

%attr(755,root,root) %{_bindir}/setsid
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/setterm}
%attr(755,root,root) %{_bindir}/tailf
%attr(755,root,root) %{_bindir}/taskset
%{!?with_uClibc:%attr(755,root,root) %{_bindir}/ul}
%attr(755,root,root) %{_bindir}/whereis
%attr(2755,root,tty) %{_bindir}/write
%attr(755,root,root) %{_sbindir}/fdformat
%attr(755,root,root) %{_sbindir}/ldattach
%attr(755,root,root) %{_sbindir}/readprofile
%attr(755,root,root) %{_sbindir}/rtcwake

%{_mandir}/man1/cal.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/ddate.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/line.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{!?with_uClibc:%{_mandir}/man1/more.1*}
%{_mandir}/man1/namei.1*
%{!?with_uClibc:%{_mandir}/man1/pg.1*}
%{_mandir}/man1/readprofile.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/scriptreplay.1*
%{!?with_uClibc:%{_mandir}/man1/setterm.1*}
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/taskset.1*
%{!?with_uClibc:%{_mandir}/man1/ul.1*}
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*

%{_mandir}/man8/addpart.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/cytune.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/setarch.8*

%lang(cs) %{_mandir}/cs/man1/write.1*

%lang(de) %{_mandir}/de/man1/kill.1*
%lang(de) %{_mandir}/de/man1/more.1*
%lang(de) %{_mandir}/de/man1/write.1*

%lang(de) %{_mandir}/de/man8/fdformat.8*

%lang(es) %{_mandir}/es/man1/colrm.1*
%lang(es) %{_mandir}/es/man1/column.1*
%lang(es) %{_mandir}/es/man1/ddate.1*
%lang(es) %{_mandir}/es/man1/getopt.1*
%lang(es) %{_mandir}/es/man1/look.1*
%lang(es) %{_mandir}/es/man1/more.1*
%lang(es) %{_mandir}/es/man1/namei.1*
%lang(es) %{_mandir}/es/man1/readprofile.1*
%lang(es) %{_mandir}/es/man1/rev.1*
%lang(es) %{_mandir}/es/man1/script.1*
%lang(es) %{_mandir}/es/man1/setterm.1*
%lang(es) %{_mandir}/es/man1/ul.1*
%lang(es) %{_mandir}/es/man1/whereis.1*
%lang(es) %{_mandir}/es/man1/write.1*

%lang(es) %{_mandir}/es/man8/cytune.8*
%lang(es) %{_mandir}/es/man8/ctrlaltdel.8*
%lang(es) %{_mandir}/es/man8/ipcrm.8*
%lang(es) %{_mandir}/es/man8/ipcs.8*
%lang(es) %{_mandir}/es/man8/mkswap.8*
%lang(es) %{_mandir}/es/man8/renice.8*
%lang(es) %{_mandir}/es/man8/setsid.8*

%lang(fi) %{_mandir}/fi/man1/cal.1*
%lang(fi) %{_mandir}/fi/man1/column.1*
%lang(fi) %{_mandir}/fi/man1/kill.1*
%lang(fi) %{_mandir}/fi/man1/more.1*
%lang(fi) %{_mandir}/fi/man1/whereis.1*
%lang(fi) %{_mandir}/fi/man1/write.1*

%lang(fr) %{_mandir}/fr/man1/cal.1*
%lang(fr) %{_mandir}/fr/man1/col.1*
%lang(fr) %{_mandir}/fr/man1/kill.1*
%lang(fr) %{_mandir}/fr/man1/more.1*
%lang(fr) %{_mandir}/fr/man1/rev.1*
%lang(fr) %{_mandir}/fr/man1/whereis.1*
%lang(fr) %{_mandir}/fr/man1/write.1*

%lang(fr) %{_mandir}/fr/man8/ctrlaltdel.8*
%lang(fr) %{_mandir}/fr/man8/dmesg.8*
%lang(fr) %{_mandir}/fr/man8/fdformat.8*
%lang(fr) %{_mandir}/fr/man8/ipcrm.8*
%lang(fr) %{_mandir}/fr/man8/ipcs.8*
%lang(fr) %{_mandir}/fr/man8/setsid.8*

%lang(hu) %{_mandir}/hu/man1/cal.1*
%lang(hu) %{_mandir}/hu/man1/colrm.1*
%lang(hu) %{_mandir}/hu/man1/hexdump.1*
%lang(hu) %{_mandir}/hu/man1/kill.1*
%lang(hu) %{_mandir}/hu/man1/logger.1*
%lang(hu) %{_mandir}/hu/man1/more.1*
%lang(hu) %{_mandir}/hu/man1/setterm.1*
%lang(hu) %{_mandir}/hu/man1/whereis.1*
%lang(hu) %{_mandir}/hu/man1/write.1*

%lang(hu) %{_mandir}/hu/man8/ctrlaltdel.8*
%lang(hu) %{_mandir}/hu/man8/fdformat.8*
%lang(hu) %{_mandir}/hu/man8/mkswap.8*

%lang(id) %{_mandir}/id/man1/cal.1*
%lang(id) %{_mandir}/id/man1/kill.1*
%lang(id) %{_mandir}/id/man1/logger.1*
%lang(id) %{_mandir}/id/man1/more.1*
%lang(id) %{_mandir}/id/man1/script.1*
%lang(id) %{_mandir}/id/man1/write.1*

%lang(id) %{_mandir}/id/man8/fdformat.8*

%lang(it) %{_mandir}/it/man1/cal.1*
%lang(it) %{_mandir}/it/man1/kill.1*
%lang(it) %{_mandir}/it/man1/rename.1*
%lang(it) %{_mandir}/it/man1/rev.1*

%lang(it) %{_mandir}/it/man8/ctrlaltdel.8*
%lang(it) %{_mandir}/it/man8/dmesg.8*
%lang(it) %{_mandir}/it/man8/fdformat.8*
%lang(it) %{_mandir}/it/man8/ipcrm.8*
%lang(it) %{_mandir}/it/man8/ipcs.8*
%lang(it) %{_mandir}/it/man8/mkfs.8*
%lang(it) %{_mandir}/it/man8/mkswap.8*
%lang(it) %{_mandir}/it/man8/setsid.8*

%lang(ja) %{_mandir}/ja/man1/cal.1*
%lang(ja) %{_mandir}/ja/man1/col.1*
%lang(ja) %{_mandir}/ja/man1/colcrt.1*
%lang(ja) %{_mandir}/ja/man1/colrm.1*
%lang(ja) %{_mandir}/ja/man1/column.1*
%lang(ja) %{_mandir}/ja/man1/ddate.1*
%lang(ja) %{_mandir}/ja/man1/getopt.1*
%lang(ja) %{_mandir}/ja/man1/hexdump.1*
%lang(ja) %{_mandir}/ja/man1/kill.1*
%lang(ja) %{_mandir}/ja/man1/line.1*
%lang(ja) %{_mandir}/ja/man1/logger.1*
%lang(ja) %{_mandir}/ja/man1/look.1*
%lang(ja) %{_mandir}/ja/man1/mcookie.1*
%lang(ja) %{_mandir}/ja/man1/more.1*
%lang(ja) %{_mandir}/ja/man1/namei.1*
%lang(ja) %{_mandir}/ja/man1/readprofile.1*
%lang(ja) %{_mandir}/ja/man1/rename.1*
%lang(ja) %{_mandir}/ja/man1/replay.1*
%lang(ja) %{_mandir}/ja/man1/rev.1*
%lang(ja) %{_mandir}/ja/man1/script.1*
%lang(ja) %{_mandir}/ja/man1/setterm.1*
%lang(ja) %{_mandir}/ja/man1/ul.1*
%lang(ja) %{_mandir}/ja/man1/whereis.1*
%lang(ja) %{_mandir}/ja/man1/write.1*

%lang(ja) %{_mandir}/ja/man8/ctrlaltdel.8*
%lang(ja) %{_mandir}/ja/man8/cytune.8*
%lang(ja) %{_mandir}/ja/man8/dmesg.8*
%lang(ja) %{_mandir}/ja/man8/fdformat.8*
%lang(ja) %{_mandir}/ja/man8/ipcrm.8*
%lang(ja) %{_mandir}/ja/man8/ipcs.8*
%lang(ja) %{_mandir}/ja/man8/isosize.8*
%lang(ja) %{_mandir}/ja/man8/mkswap.8*
%lang(ja) %{_mandir}/ja/man8/renice.8*
%lang(ja) %{_mandir}/ja/man8/setsid.8*

%lang(ko) %{_mandir}/ko/man1/cal.1*
%lang(ko) %{_mandir}/ko/man1/col.1*
%lang(ko) %{_mandir}/ko/man1/colcrt.1*
%lang(ko) %{_mandir}/ko/man1/colrm.1*
%lang(ko) %{_mandir}/ko/man1/column.1*
%lang(ko) %{_mandir}/ko/man1/ddate.1*
%lang(ko) %{_mandir}/ko/man1/getopt.1*
%lang(ko) %{_mandir}/ko/man1/hexdump.1*
%lang(ko) %{_mandir}/ko/man1/kill.1*
%lang(ko) %{_mandir}/ko/man1/logger.1*
%lang(ko) %{_mandir}/ko/man1/look.1*
%lang(ko) %{_mandir}/ko/man1/mcookie.1*
%lang(ko) %{_mandir}/ko/man1/more.1*
%lang(ko) %{_mandir}/ko/man1/namei.1*
%lang(ko) %{_mandir}/ko/man1/readprofile.1*
%lang(ko) %{_mandir}/ko/man1/rev.1*
%lang(ko) %{_mandir}/ko/man1/script.1*
%lang(ko) %{_mandir}/ko/man1/setterm.1*
%lang(ko) %{_mandir}/ko/man1/ul.1*
%lang(ko) %{_mandir}/ko/man1/whereis.1*
%lang(ko) %{_mandir}/ko/man1/write.1*

%lang(ko) %{_mandir}/ko/man8/ctrlaltdel.8*
%lang(ko) %{_mandir}/ko/man8/dmesg.8*
%lang(ko) %{_mandir}/ko/man8/fdformat.8*
%lang(ko) %{_mandir}/ko/man8/ipcrm.8*
%lang(ko) %{_mandir}/ko/man8/ipcs.8*
%lang(ko) %{_mandir}/ko/man8/mkswap.8*
%lang(ko) %{_mandir}/ko/man8/renice.8*
%lang(ko) %{_mandir}/ko/man8/setsid.8*

%lang(nl) %{_mandir}/nl/man1/kill.1*

%lang(pl) %{_mandir}/pl/man1/cal.1*
%lang(pl) %{_mandir}/pl/man1/col.1*
%lang(pl) %{_mandir}/pl/man1/colcrt.1*
%lang(pl) %{_mandir}/pl/man1/colrm.1*
%lang(pl) %{_mandir}/pl/man1/getopt.1*
%lang(pl) %{_mandir}/pl/man1/hexdump.1*
%lang(pl) %{_mandir}/pl/man1/kill.1*
%lang(pl) %{_mandir}/pl/man1/look.1*
%lang(pl) %{_mandir}/pl/man1/logger.1*
%lang(pl) %{_mandir}/pl/man1/more.1*
%lang(pl) %{_mandir}/pl/man1/rev.1*
%lang(pl) %{_mandir}/pl/man1/script.1*
%lang(pl) %{_mandir}/pl/man1/setterm.1*
%lang(pl) %{_mandir}/pl/man1/ul.1*
%lang(pl) %{_mandir}/pl/man1/whereis.1*
%lang(pl) %{_mandir}/pl/man1/write.1*

%lang(pl) %{_mandir}/pl/man8/ctrlaltdel.8*
%lang(pl) %{_mandir}/pl/man8/dmesg.8*
%lang(pl) %{_mandir}/pl/man8/fdformat.8*
%lang(pl) %{_mandir}/pl/man8/ipcrm.8*
%lang(pl) %{_mandir}/pl/man8/ipcs.8*
%lang(pl) %{_mandir}/pl/man8/mkswap.8*
%lang(pl) %{_mandir}/pl/man8/renice.8*

%attr(755,root,root) /sbin/fdisk
%attr(755,root,root) /sbin/fsck.minix
%attr(755,root,root) /sbin/mkfs.minix
%ifnarch sparc sparc64
%{!?with_uClibc:%attr(755,root,root) /sbin/cfdisk}
%attr(755,root,root) /sbin/sfdisk
%endif

%{_mandir}/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%{_mandir}/man8/cfdisk.8*}
%{_mandir}/man8/sfdisk.8*
%endif
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.bfs.8*
%{_mandir}/man8/mkfs.minix.8*
%{_mandir}/man8/mkfs.8*

%lang(es) %{_mandir}/es/man8/fdisk.8*
%lang(es) %{_mandir}/es/man8/fsck.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.minix.8*
%lang(es) %{_mandir}/es/man8/mkfs.8*

%lang(fr) %{_mandir}/fr/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(fr) %{_mandir}/fr/man8/cfdisk.8*}
%lang(fr) %{_mandir}/fr/man8/sfdisk.8*
%endif
%lang(fr) %{_mandir}/fr/man8/mkfs.minix.8*
%lang(fr) %{_mandir}/fr/man8/mkfs.8*

%lang(hu) %{_mandir}/hu/man8/mkfs.8*

%lang(it) %{_mandir}/it/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(it) %{_mandir}/it/man8/cfdisk.8*}
%endif

%lang(ja) %{_mandir}/ja/man8/fdisk.8*
%ifnarch sparc sparc64
%{!?with_uClibc:%lang(ja) %{_mandir}/ja/man8/cfdisk.8*}
%lang(ja) %{_mandir}/ja/man8/sfdisk.8*
%endif
%lang(ja) %{_mandir}/ja/man8/fsck.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.bfs.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.minix.8*
%lang(ja) %{_mandir}/ja/man8/mkfs.8*

%lang(ko) %{_mandir}/ko/man8/fdisk.8*
%lang(ko) %{_mandir}/ko/man8/fsck.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.minix.8*
%lang(ko) %{_mandir}/ko/man8/mkfs.8*

%lang(pl) %{_mandir}/pl/man8/fdisk.8*
%lang(pl) %{_mandir}/pl/man8/fsck.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.minix.8*
%lang(pl) %{_mandir}/pl/man8/mkfs.8*

%{!?with_uClibc:%attr(755,root,root) /sbin/fsck.cramfs}
%{!?with_uClibc:%attr(755,root,root) /sbin/mkfs.cramfs}
%attr(755,root,root) /sbin/mkfs.bfs

%attr(755,root,root) %{_bindir}/cytune

%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_sbindir}/ramsize
%attr(755,root,root) %{_sbindir}/rdev
%attr(755,root,root) %{_sbindir}/rootflags
%attr(755,root,root) %{_sbindir}/vidmode

%{_mandir}/man8/ramsize.8*
%{_mandir}/man8/rdev.8*
%{_mandir}/man8/rootflags.8*
%{_mandir}/man8/vidmode.8*

%lang(de) %{_mandir}/de/man8/ramsize.8*
%lang(de) %{_mandir}/de/man8/rdev.8*
%lang(de) %{_mandir}/de/man8/rootflags.8*
%lang(de) %{_mandir}/de/man8/vidmode.8*

%lang(es) %{_mandir}/es/man8/ramsize.8*
%lang(es) %{_mandir}/es/man8/rdev.8*
%lang(es) %{_mandir}/es/man8/rootflags.8*
%lang(es) %{_mandir}/es/man8/vidmode.8*

%lang(ja) %{_mandir}/ja/man8/ramsize.8*
%lang(ja) %{_mandir}/ja/man8/rdev.8*
%lang(ja) %{_mandir}/ja/man8/rootflags.8*
%lang(ja) %{_mandir}/ja/man8/vidmode.8*

%lang(ko) %{_mandir}/ko/man8/ramsize.8*
%lang(ko) %{_mandir}/ko/man8/rdev.8*
%lang(ko) %{_mandir}/ko/man8/rootflags.8*
%lang(ko) %{_mandir}/ko/man8/vidmode.8*

%lang(pl) %{_mandir}/pl/man8/ramsize.8*
%lang(pl) %{_mandir}/pl/man8/rdev.8*
%lang(pl) %{_mandir}/pl/man8/rootflags.8*
%lang(pl) %{_mandir}/pl/man8/vidmode.8*
%endif

%{_infodir}/ipc*

%ghost /var/lock/wtmpxlock

%files -n blockdev
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/blockdev
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/blockdev
%attr(755,root,root) /sbin/blockdev
%{_mandir}/man8/blockdev.8*
%lang(ja) %{_mandir}/ja/man8/blockdev.8*

%files -n mount
%defattr(644,root,root,755)

%attr(4755,root,root) /bin/mount
%attr(4755,root,root) /bin/umount
%attr(755,root,root) /sbin/pivot_root
%attr(755,root,root) /sbin/swapon
%attr(755,root,root) /sbin/swapoff

%{_mandir}/man5/fstab.5*

%{_mandir}/man8/mount.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/swapoff.8*

%lang(cs) %{_mandir}/cs/man5/fstab.5*

%lang(de) %{_mandir}/de/man5/fstab.5*

%lang(es) %{_mandir}/es/man5/fstab.5*

%lang(es) %{_mandir}/es/man8/mount.8*
%lang(es) %{_mandir}/es/man8/umount.8*
%lang(es) %{_mandir}/es/man8/swapon.8*
%lang(es) %{_mandir}/es/man8/swapoff.8*

%lang(fr) %{_mandir}/fr/man5/fstab.5*

%lang(fr) %{_mandir}/fr/man8/mount.8*
%lang(fr) %{_mandir}/fr/man8/umount.8*

%lang(hu) %{_mandir}/hu/man5/fstab.5*

%lang(hu) %{_mandir}/hu/man8/mount.8*
%lang(hu) %{_mandir}/hu/man8/umount.8*

%lang(it) %{_mandir}/it/man5/fstab.5*

%lang(it) %{_mandir}/it/man8/mount.8*
%lang(it) %{_mandir}/it/man8/umount.8*
%lang(it) %{_mandir}/it/man8/swapon.8*
%lang(it) %{_mandir}/it/man8/swapoff.8*

%lang(ja) %{_mandir}/ja/man5/fstab.5*

%lang(ja) %{_mandir}/ja/man8/mount.8*
%lang(ja) %{_mandir}/ja/man8/umount.8*
%lang(ja) %{_mandir}/ja/man8/pivot_root.8*
%lang(ja) %{_mandir}/ja/man8/swapon.8*
%lang(ja) %{_mandir}/ja/man8/swapoff.8*

%lang(ko) %{_mandir}/ko/man5/fstab.5*

%lang(ko) %{_mandir}/ko/man8/mount.8*
%lang(ko) %{_mandir}/ko/man8/umount.8*
%lang(ko) %{_mandir}/ko/man8/swapon.8*
%lang(ko) %{_mandir}/ko/man8/swapoff.8*

%lang(pl) %{_mandir}/pl/man5/fstab.5*

%lang(pl) %{_mandir}/pl/man8/mount.8*
%lang(pl) %{_mandir}/pl/man8/umount.8*
%lang(pl) %{_mandir}/pl/man8/swapon.8*
%lang(pl) %{_mandir}/pl/man8/swapoff.8*

%files -n losetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/losetup

%{_mandir}/man8/losetup.8*
%lang(fr) %{_mandir}/fr/man8/losetup.8*
%lang(it) %{_mandir}/it/man8/losetup.8*
%lang(ja) %{_mandir}/ja/man8/losetup.8*
%lang(ko) %{_mandir}/ko/man8/losetup.8*
%lang(pl) %{_mandir}/pl/man8/losetup.8*

%files chkdupexe
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkdupexe

%{_mandir}/man1/chkdupexe.1*
%lang(ja) %{_mandir}/ja/man1/chkdupexe.1*
%lang(ko) %{_mandir}/ko/man1/chkdupexe.1*
%lang(pl) %{_mandir}/pl/man1/chkdupexe.1*

%files -n tunelp
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tunelp

%{_mandir}/man8/tunelp.8*
%lang(es) %{_mandir}/es/man8/tunelp.8*
%lang(ja) %{_mandir}/ja/man8/tunelp.8*
%lang(pl) %{_mandir}/pl/man8/tunelp.8*

%if !%{with uClibc}
%files -n login
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/login
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.login
%attr(755,root,root) /bin/login

%{_mandir}/man1/login.1*
%lang(de) %{_mandir}/de/man1/login.1*
%lang(es) %{_mandir}/es/man1/login.1*
%lang(hu) %{_mandir}/hu/man1/login.1*
%lang(id) %{_mandir}/id/man1/login.1*
%lang(it) %{_mandir}/it/man1/login.1*
%lang(ja) %{_mandir}/ja/man1/login.1*
%lang(ko) %{_mandir}/ko/man1/login.1*
%lang(pl) %{_mandir}/pl/man1/login.1*
%endif

%files -n agetty
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/agetty

%{_mandir}/man8/agetty.8*
%lang(es) %{_mandir}/es/man8/agetty.8*
%lang(ja) %{_mandir}/ja/man8/agetty.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: util-linux-ng.spec,v $
Revision 1.26  2008/09/14 11:21:11  adamg
- updated to 2.14.1

Revision 1.25  2008/08/10 23:34:24  sls
- BR: libsepol-devel (or should it be Req in libselinux-devel?)

Revision 1.24  2008/08/10 23:31:16  sls
- BR: fresh rpm-build-macros
- remove cryptsetup deps (used with dm_crypt.patch)
- BR: libtool

Revision 1.23  2008/08/08 06:39:01  arekm
- up to 2.14 (push dm-crypt upstream instead of putting it here IMO)

Revision 1.22  2008-04-22 07:42:12  arekm
- up to 2.13.1.1; audit log injection attack via login fix (CVE-2007-3102)

Revision 1.21  2008-03-27 04:30:10  sls
- add dm_crypt.patch

Revision 1.20  2008-03-27 03:21:42  sls
- Obsoletes:     ionice

Revision 1.19  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.18  2008-01-16 15:49:50  arekm
- up to 2.13.1

Revision 1.17  2007/10/25 15:35:39  baggins
- re 2
- fix pam config wrt ConsoleKit

Revision 1.16  2007/10/22 11:01:47  arekm
- up to 2.13.0.1; official sec upgrade (we had it patched earlier)

Revision 1.15  2007/10/19 10:46:29  arekm
- rel 5; CVE-2007-5191

Revision 1.14  2007/09/23 14:58:15  areq
- remove scriptreplay (kill R:perl)

Revision 1.13  2007/08/28 08:01:59  arekm
- fix ppc hwclock

Revision 1.12  2007/08/28 07:47:50  arekm
- rel 3; fix ppc

Revision 1.11  2007/08/28 07:42:19  arekm
- rel 2; fix files

Revision 1.10  2007/08/28 07:15:36  arekm
- updated to 2.13 final (fixes: CVE-2007-0822, CVE-2006-7108). It's going to replace util-linux in th.

Revision 1.9  2007/07/17 13:56:34  arekm
- up to 2.13 rc2

Revision 1.8  2007/07/08 20:06:20  qboosh
- setarch todo note

Revision 1.7  2007/07/04 08:20:31  arekm
- more obsoletes

Revision 1.6  2007/07/04 08:12:00  arekm
- up to 2.13rc1

Revision 1.5  2007/06/19 19:00:54  arekm
- add url

Revision 1.4  2007/06/19 18:51:48  arekm
O: util-linux

Revision 1.3  2007/06/19 18:49:15  arekm
- rel 1.xyz

Revision 1.2  2007/06/19 18:48:21  arekm
- builds

Revision 1.1  2007/06/19 15:52:47  arekm
- start playing with util-linux-ng

Revision 1.299  2007/05/21 17:56:26  qboosh
- pass --enable-login-chown-vcs to configure

Revision 1.298  2007/04/16 17:41:33  tommat
- added util-linux-sparc.patch

Revision 1.297  2007/04/02 22:09:27  sls
- rel. 2
- fixed (?) dm_crypt.patch

Revision 1.296  2007/04/02 21:40:19  sls
- cryptsetup-luks isn't equivalent of cryptsetup

Revision 1.295  2007/03/25 15:40:36  baggins
- added patch for mount to call mount.<FSTYPE> also for autodetected fs

Revision 1.294  2007/03/25 00:21:08  baggins
- files shuffling to avoid confusion later

Revision 1.293  2007/03/24 22:35:15  baggins
- BR sed 4.0
- fix mail spool path in login manpage
- move addpart,delpart,partx to /sbin
- move taskset,raw to /bin

Revision 1.292  2007/03/24 22:12:52  baggins
- removed TODO for raw, raw is obsolete use open(..., O_DIRECT)
- utmp(x)/wtmp(x) access ok
- updated BRs

Revision 1.291  2007/03/24 21:27:54  baggins
- up to 2.13-pre7, WIP
- added some 60 bugfixes from fedora
- O: schedutils (schedutils is now part of util-linux)
- arch, fdprm, setfdprm, elvtune are no more
- nfs support removed from mount (we now use mount.nfs from nfs-utils)
- moved nfs(5) manpage to nfs-utils

Revision 1.290  2007/03/22 18:58:07  baggins
- started update to 2.13-pre7

Revision 1.289  2007/03/22 18:40:18  baggins
- removed nfs fixes, we use mount.nfs* from nfs-utils

Revision 1.288  2007/03/22 15:50:44  baggins
- add patch to pass -f (fake mount) to mount.<FSTYPE> helpers

Revision 1.287  2007/02/15 12:28:03  arekm
- rel 8

Revision 1.286  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.285  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.284  2007/02/11 13:29:26  baggins
- rel 7
- R: pam >= 0.99.7.1

Revision 1.283  2007/01/07 23:05:18  areq
- fix without selinux

Revision 1.282  2006/12/07 20:58:02  glen
- rel 6, improved blockdev initscript

Revision 1.281  2006/11/13 15:04:12  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.280  2006/11/03 22:52:00  zbyniu
- bcond without selinux added

Revision 1.279  2006/10/20 09:19:42  glen
- rel 5

Revision 1.278  2006/10/19 12:18:03  glen
- R: coreutils in blockdev

Revision 1.277  2006/08/02 00:50:59  sparky
- sed 2 patch

Revision 1.276  2006/07/31 22:27:07  sparky
- as-needed fix: link with both -lncurses -ltinfo

Revision 1.275  2006/02/08 16:48:03  glen
- fixed broken upgrade; use %service; rel 4, STBR

Revision 1.274  2006/02/03 21:09:44  sparky
- kill urls in cvs sources

Revision 1.273  2006/01/03 10:54:10  qboosh
- pl for blockdev

Revision 1.272  2006/01/03 10:46:31  glen
- separated blockdev; rel 3

Revision 1.271  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.270  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.269  2005/11/27 22:59:36  charles
- R(post,preun): /sbin/chkconfig (blockdev)

Revision 1.268  2005/11/15 12:10:32  arekm
- rel 2

Revision 1.267  2005/11/05 17:54:27  qboosh
- sorted verify() flags

Revision 1.266  2005/11/05 14:23:39  arekm
- package scripts

Revision 1.265  2005/11/05 14:22:12  arekm
- scripts for setting blockdev parameters

Revision 1.264  2005/10/06 11:12:34  qboosh
- updated to 2.12r (really fixes CAN-2005-2876 by disallowing user remounts)

Revision 1.263  2005/09/23 10:46:26  charles
- integer release (with new patches) - rel. 4 is broken
- STBR

Revision 1.262  2005/09/22 22:34:40  glen
- add more patches from gentoo that hawk proposed

Revision 1.261  2005/09/21 17:06:55  glen
- CAN-2005-2876; rel 4

Revision 1.260  2005/09/12 21:14:05  glen
- added mount --move patch. tested. works for me. rel 3; STBR

Revision 1.259  2005/05/27 14:38:01  arekm
- add nfs4 patches

Revision 1.258  2005/05/24 23:53:24  pluto
- gcc4 fix.

Revision 1.257  2005/05/12 13:18:39  baggins
- release 2
- req pam 0.79

Revision 1.256  2005/02/27 19:10:58  arekm
- bcond dropped

Revision 1.255  2005/02/27 19:08:50  arekm
- up to 2.12q

Revision 1.254  2005/02/17 00:53:19  gj
- fix race cond in fdisk-sunlabel, causing in some cases new created label NOT be saved on the media.
- Btw, can someone finally do 2 things:
  - upgrade trunk util-linu to 2.12q
  - add this letter at the end of version number. It is important!
  Thank you.

Revision 1.253  2005/01/08 12:26:34  mmazur
- util-linux switched to a new maintainer and is now available from
  ftp.kernel.org

Revision 1.252  2004/12/31 02:41:49  ankry
- fixed Rs, rel. 15

Revision 1.251  2004/12/30 10:21:31  ankry
- added blocker

Revision 1.250  2004/12/27 15:23:33  qboosh
- noted URL to new versions

Revision 1.249  2004/12/27 15:06:30  krzak
- managed.patch allow to use option "managed" and "kudzu" in mount options
- rel 14

Revision 1.248  2004/12/03 18:32:12  glen
- fix selinux bcond

Revision 1.247  2004/11/18 22:15:23  glen
- added selinux bcond

Revision 1.246  2004/11/16 12:44:43  wrobell
- rel. 13

Revision 1.245  2004/10/28 13:12:05  areq
- BR cryptsetup-devel

Revision 1.244  2004/10/24 15:59:35  wrobell
- cryptoloop is removed from kernel, use dm_crypt instead of it:
    http://article.gmane.org/gmane.linux.kernel.device-mapper.dm-crypt/34
- WARNING: mount command depends on libraries in /usr/lib, now
  do not send this revision to builders!

Revision 1.243  2004/09/25 11:56:15  blues
- TODO added

Revision 1.242  2004/08/04 17:34:25  qboosh
- killed losetup bugs in dev_t and crypto-debian patches; release 12

Revision 1.241  2004/02/26 15:55:01  qboosh
- updated selinux patch, release 11

Revision 1.240  2004/02/23 22:15:03  qboosh
- restored original fixes from blk patch to work not only with llh
- removed newgrp once again (this version doesn't even support gshadow; use
  pwdutils/shadow instead)
- release 10

Revision 1.239  2004/01/23 12:55:13  qboosh
- rm files unwanted only on some archs too

Revision 1.238  2004/01/23 12:48:26  qboosh
- updated non-english-man-pages
- rm unwanted files for clean build
- release 9

Revision 1.237  2004/01/22 09:12:40  qboosh
- newgrp was in shadow-extras, not shadow - fixed Conflicts; release 8

Revision 1.236  2004/01/21 21:59:01  qboosh
- really added newgrp utility
- added sg links to newgrp (as they were in shadow)
- Conflicts with shadow with newgrp, release 7

Revision 1.235  2004/01/08 11:45:13  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.234  2003/12/28 00:10:05  qboosh
- added blk patch for broken BLK* ioctls definitions
- added io patch to use proper io.h on x86
- new-style bcond

Revision 1.233  2003/12/27 00:11:00  arekm
- added selinux patch

Revision 1.232  2003/12/19 13:38:28  jajcus
- use glibc definition of dev_t, not kernel one. Someone has to check if this doesn't break anything

Revision 1.231  2003/12/10 17:27:45  arekm
- added crypto changes from debian

Revision 1.230  2003/11/16 14:35:31  arekm
- fix fdisk on amd64 and check /{usr/,}lib64 in whereis

Revision 1.229  2003/10/20 20:11:16  qboosh
- no kernel-dependent crypto patches now, so removed kernel-dependent releases

Revision 1.228  2003/10/13 00:06:46  wrobell
- changelog cut

Revision 1.227  2003/10/13 00:04:51  wrobell
- removed out of date crypto api patches - basic functionality
  exists in util linux;
  if one wants crypted loop device, then the patch is required:
      http://www.kernel.org/pub/linux/kernel/people/hvr/testing/patch-cryptoloop-hvr-2.4.22.0
  _before_ _adding_ more crypto patches (i.e. keybits option or sth.) please
  read
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00002.html
    http://mail.nl.linux.org/linux-crypto/2003-08/msg00009.html
  then let's discuss the issues on pld-devel;
  BTW. i have extracted crypto api patches from debian if someone is
  interested in

Revision 1.226  2003/10/11 17:26:03  wrobell
- let's leave it in this state...

Revision 1.225  2003/10/11 17:10:22  wrobell
- specified patches should be included, it will be reviewed later, NFY

Revision 1.224  2003/10/11 17:06:15  wrobell
- mount symlink problem fixed in 2.12, I hope, so patch removed (areq?)
- fix Release tags madness
- removed 2.2.x kernel support (use ra branch, please)
- some crypto api stuff is integrated with util-linux, but more work
  is required to finish it, so NFY
- rel. 4

Revision 1.223  2003/10/11 15:26:25  wrobell
- ver. 2.12 (final)
- switch to maintainer's ftp site

Revision 1.222  2003/10/11 15:14:26  wrobell
- clean release mess

Revision 1.221  2003/09/26 14:26:06  baggins
- release 1

Revision 1.220  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.219  2003/08/31 17:48:27  mmazur
- rel 3 for ac

Revision 1.218  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.217  2003/08/22 15:20:15  qboosh
- verify flags for configs

Revision 1.216  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.215  2003/08/22 15:01:53  ankry
- attributr fix

Revision 1.214  2003/08/20 10:19:57  areq
- add mount-2.12pre-symlink_20030809.diff patch
  http://panopticon.csustan.edu/thood/readonly-root.html

Revision 1.213  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.212  2003/08/14 22:01:00  ankry
- sorted descriptions

Revision 1.211  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.210  2003/08/03 21:22:19  grzegol
- updated to 2.12pre
- updated %files (added tailf)

Revision 1.209  2003/06/26 21:15:23  mmazur
- added no_multiline patch... needed for gettext in gcc33

Revision 1.208  2003/06/23 22:42:31  undefine
- don't build sfdisk and cfdisk on sparc (bigendian problems)
- release 2

Revision 1.207  2003/06/14 16:13:52  undefine
- build cfdisk and sfdisk on sparc too. Why it was disabled by default???

Revision 1.206  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.205  2003/05/25 11:01:16  malekith
- massive attack, adding Source-md5

Revision 1.204  2003/05/25 06:27:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.203  2003/05/22 21:58:43  malekith
- got rid of those BOOT bconds; it wasn't used for ages

Revision 1.202  2003/05/22 21:57:37  malekith
- fix uClibc build

Revision 1.201  2003/03/31 08:38:13  wiget
- reverted

Revision 1.200  2003/03/31 08:07:51  wiget
- errno.patch
- release 2
